#
# spec file for package smemstat
#
# Copyright (c) 2015, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smemstat
Version:        0.01.14
Release:        2.5
Summary:        Memory usage monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/smemstat/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Smemstat reports the physical memory usage taking into consideration shared
memory. The tool can either report a current snapshot of memory usage or
periodically dump out any changes in memory. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/smemstat
%{_mandir}/man8/*

%changelog
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
